Package org.apache.tools.ant.types

# Class FilterSetCollection

java.lang.Object
org.apache.tools.ant.types.FilterSetCollection

    public class FilterSetCollection
    extends java.lang.Object

A FilterSetCollection is a collection of filtersets each of which may have a different start/end token settings.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`FilterSetCollection()` | Constructor for a FilterSetCollection.
`FilterSetCollection​(FilterSet filterSet)` | Constructor for a FilterSetCollection.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `addFilterSet​(FilterSet filterSet)` | Add a filterset to the collection.
`boolean` | `hasFilters()` | Test to see if this filter set it empty.
`java.lang.String` | `replaceTokens​(java.lang.String line)` | Does replacement on the given string with token matching.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilterSetCollection

public FilterSetCollection()
Constructor for a FilterSetCollection.

### FilterSetCollection

public FilterSetCollection​(FilterSet filterSet)
Constructor for a FilterSetCollection.

Parameters:
  `filterSet` - a filterset to start the collection with

## Method Details

### addFilterSet

public void addFilterSet​(FilterSet filterSet)
Add a filterset to the collection.

Parameters:
  `filterSet` - a `FilterSet` value

### replaceTokens

public java.lang.String replaceTokens​(java.lang.String line)
Does replacement on the given string with token matching. This uses the defined begintoken and endtoken values which default to @ for both.

Parameters:
  `line` - The line to process the tokens in.
Returns:
  The string with the tokens replaced.

### hasFilters

public boolean hasFilters()
Test to see if this filter set it empty.

Returns:
  Return true if there are filter in this set otherwise false.